package org.processmining.glueminer.parameters;

import org.processmining.basicutils.parameters.impl.PluginParametersImpl;

public class GlueMinerParameters  extends PluginParametersImpl {
	public Double placeFitnessLevel;
	public Double maxUnderfednessLevel;
	public Double netFitnessLevel;
	public Double relThresholdOnStartAndEndActivities;
	public Double relThresholdOnPlacesLogSize;
	public Integer maxSourceOrTargetTransitions;
	public Integer minAcceptedBehaviorCount;
	
	public GlueMinerParameters() {
		this.placeFitnessLevel = GlueMinerConstants.defaultPlaceFitnessLevel;
		this.maxUnderfednessLevel = GlueMinerConstants.defaultMaxUnderfednessLevel;
		this.netFitnessLevel = GlueMinerConstants.defaultMinNetFitness;
		this.relThresholdOnStartAndEndActivities = GlueMinerConstants.defaultRelativeThresholdOnStartAndEndActivities;
		this.relThresholdOnPlacesLogSize = GlueMinerConstants.defaultRelativeThresholdOnPlacesRegardingLogSize;
		this.maxSourceOrTargetTransitions = GlueMinerConstants.defaultMaxSourceOrTargetTransitions;
		this.minAcceptedBehaviorCount = GlueMinerConstants.defaultMinAcceptedBehaviorCount;
	}
	
	public GlueMinerParameters(Double placeFitnessLevel, Double maxUnderfednessLevel, Double netFitnessLevel, Double relThresholdOnStartAndEndActivities, Double relThresholdOnPlacesLogSize, Integer maxSourceOrTargetTransitions, Integer minAcceptedBehaviorCount) {
		this.placeFitnessLevel = placeFitnessLevel;
		this.maxUnderfednessLevel = maxUnderfednessLevel;
		this.netFitnessLevel = netFitnessLevel;
		this.relThresholdOnStartAndEndActivities = relThresholdOnStartAndEndActivities;
		this.relThresholdOnPlacesLogSize = relThresholdOnPlacesLogSize;
		this.maxSourceOrTargetTransitions = maxSourceOrTargetTransitions;
		this.minAcceptedBehaviorCount = minAcceptedBehaviorCount;
	}
	
	
}
