package org.processmining.glueminer.plugins;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginQuality;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.glueminer.models.GeneratedPetrinet;
import org.processmining.plugins.petrinet.PetriNetVisualization;

@Plugin(name = "Generate Petri net with random structure", level = PluginLevel.NightlyBuild, parameterLabels = { "Generated Petrinet" }, returnLabels = { "JComponent" }, returnTypes = { JComponent.class }, quality = PluginQuality.VeryGood)
@Visualizer
public class GeneratePetrinetVisualizer {
	@PluginVariant(requiredParameterLabels = { 0 })
	public JComponent visualize(PluginContext context, GeneratedPetrinet gnet) {
		
		PetriNetVisualization petriNetVisualization = new PetriNetVisualization();
		JComponent component = petriNetVisualization.visualize(context, gnet.net, gnet.initialMarking);
		
		return component;
	}
}
